> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all mock servers

GET https://api.getpostman.com/mocks

Gets all active mock servers. By default, this endpoint returns only mock servers you created across all workspaces.

**Note:**

If you pass both the `teamId` and `workspace` query parameters, this endpoint only accepts the `workspace` query.


Reference: https://learning.postman.com/api-docs/api-reference/mocks/get-mocks

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /mocks:
    get:
      operationId: getMocks
      summary: Get all mock servers
      description: >
        Gets all active mock servers. By default, this endpoint returns only
        mock servers you created across all workspaces.


        **Note:**


        If you pass both the `teamId` and `workspace` query parameters, this
        endpoint only accepts the `workspace` query.
      tags:
        - mocks
      parameters:
        - name: teamId
          in: query
          description: Return only results that belong to the given team ID.
          required: false
          schema:
            $ref: '#/components/schemas/teamIdResultsQuery'
        - name: workspace
          in: query
          description: Return only results found in the given workspace ID.
          required: false
          schema:
            $ref: '#/components/schemas/workspaceId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getMocks'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMocksRequestUnauthorizedError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mock500Error'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    teamIdResultsQuery:
      type: string
      title: teamIdResultsQuery
    workspaceId:
      type: string
      title: workspaceId
    GetMocksMocksItemsConfigDelayType:
      type: string
      enum:
        - fixed
      description: |
        The type of simulated delay value:
        - `fixed` — The delay value is a fixed value.
      title: GetMocksMocksItemsConfigDelayType
    GetMocksMocksItemsConfigDelayPreset:
      type: string
      enum:
        - '1'
        - '2'
      description: |
        The simulated fixed network delay value:
        - `1` — 2G (300 ms).
        - `2` — 3G (100 ms).
        The object does not return this value for custom delay values.
      title: GetMocksMocksItemsConfigDelayPreset
    GetMocksMocksItemsConfigDelay:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/GetMocksMocksItemsConfigDelayType'
          description: |
            The type of simulated delay value:
            - `fixed` — The delay value is a fixed value.
        preset:
          $ref: '#/components/schemas/GetMocksMocksItemsConfigDelayPreset'
          description: |
            The simulated fixed network delay value:
            - `1` — 2G (300 ms).
            - `2` — 3G (100 ms).
            The object does not return this value for custom delay values.
        duration:
          type: integer
          description: The configured delay, in milliseconds.
      description: >-
        Information about the mock server's simulated network delay settings.
        This returns a null value if there are no configured network delay
        settings.
      title: GetMocksMocksItemsConfigDelay
    GetMocksMocksItemsConfig:
      type: object
      properties:
        delay:
          oneOf:
            - $ref: '#/components/schemas/GetMocksMocksItemsConfigDelay'
            - type: 'null'
          description: >-
            Information about the mock server's simulated network delay
            settings. This returns a null value if there are no configured
            network delay settings.
        headers:
          type: array
          items:
            type: string
          description: A list of the mock server's headers.
        matchBody:
          type: boolean
          description: If true, match the request body.
        matchQueryParams:
          type: boolean
          description: If true, match query parameters.
        matchWildcards:
          type: boolean
          description: If true, use wildcard variable matching.
        serverResponseId:
          type: string
          description: >-
            The ID of mock server's default response for requests. All calls to
            the mock server will return the defined response.
      description: Information about the mock server's configuration.
      title: GetMocksMocksItemsConfig
    GetMocksMocksItems:
      type: object
      properties:
        id:
          type: string
          description: The mock server's ID.
        owner:
          type: string
          description: The ID of mock server's owner.
        uid:
          type: string
          format: uid
          description: The mock server's unique ID.
        collection:
          type: string
          description: The unique ID of the mock's associated collection.
        mockUrl:
          type: string
          format: url
          description: The mock server URL.
        config:
          $ref: '#/components/schemas/GetMocksMocksItemsConfig'
          description: Information about the mock server's configuration.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the mock server was created.
        environment:
          type: string
          description: The mock server's associated environment ID.
        isPublic:
          type: boolean
          description: >-
            If true, the mock server is public and visible to all users. This
            field does not indicate the mock server's access control status.
        name:
          type: string
          description: The mock server's name.
        deactivated:
          type: boolean
          description: >-
            If true, the mock server is not active. Mock servers deactivate when
            a linked collection or environment is deleted.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the mock server was last updated.
      description: Information about the mock server.
      title: GetMocksMocksItems
    getMocks:
      type: object
      properties:
        mocks:
          type: array
          items:
            $ref: '#/components/schemas/GetMocksMocksItems'
          description: A list of mock servers.
      title: getMocks
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetMocksRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetMocksRequestUnauthorizedError
    Mock500ErrorError:
      type: object
      properties:
        type:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      title: Mock500ErrorError
    mock500Error:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Mock500ErrorError'
      title: mock500Error
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Response**

```json
{
  "mocks": [
    {
      "id": "e3d951bf-873f-49ac-a658-b2dcb91d3289",
      "owner": "12345678",
      "uid": "12345678-e3d951bf-873f-49ac-a658-b2dcb91d3289",
      "collection": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "mockUrl": "https://e3d951bf-873f-49ac-a658-b2dcb91d3289.mock.pstmn.io",
      "config": {
        "delay": {
          "type": "fixed",
          "duration": 140000
        },
        "headers": [],
        "matchBody": false,
        "matchQueryParams": true,
        "matchWildcards": true,
        "serverResponseId": ""
      },
      "createdAt": "2022-07-25T20:54:30.000Z",
      "environment": "12345678-5daabc50-8451-43f6-922d-96b403b4f28e",
      "isPublic": false,
      "name": "Test Mock A",
      "updatedAt": "2022-07-25T20:54:30.000Z"
    },
    {
      "id": "cf0f8f11-fe0e-455f-99f3-4177f10f0704",
      "owner": "12345678",
      "uid": "12345678-cf0f8f11-fe0e-455f-99f3-4177f10f0704",
      "collection": "12345678-2cd8f6b1-e85b-46a6-8111-bd62e73e8aa8",
      "mockUrl": "https://cf0f8f11-fe0e-455f-99f3-4177f10f0704.mock.pstmn.io",
      "config": {
        "delay": null,
        "headers": [],
        "matchBody": false,
        "matchQueryParams": true,
        "matchWildcards": true,
        "serverResponseId": "94d0f5d9-dbdf-4046-9a7d-a11f9b78ac65",
        "matchHeader": false
      },
      "createdAt": "2023-01-26T18:59:05.000Z",
      "isPublic": false,
      "name": "Test Mock B",
      "updatedAt": "2023-01-26T18:59:05.000Z"
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/mocks"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/mocks';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/mocks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/mocks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/mocks")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/mocks', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/mocks");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/mocks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### No Mocks Found



**Response**

```json
{
  "mocks": []
}
```

**SDK Code**

```python No Mocks Found
import requests

url = "https://api.getpostman.com/mocks"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript No Mocks Found
const url = 'https://api.getpostman.com/mocks';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go No Mocks Found
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/mocks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby No Mocks Found
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/mocks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java No Mocks Found
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/mocks")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php No Mocks Found
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/mocks', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp No Mocks Found
using RestSharp;

var client = new RestClient("https://api.getpostman.com/mocks");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift No Mocks Found
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/mocks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```